API Reference
Create or replace a carousel project from declarative slides. The server owns chip layout, safezones, and export frame. POST /projects/{projectId}/carousels/generate is a legacy adapter onto the same compile.
Authorization
ApiKeyAuth Authorization<token>
Use Bearer br_live_....
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/carousels/compile" \ -H "Content-Type: application/json" \ -d '{ "platform": "tiktok_photo", "name": "string", "slides": [ { "visual": { "kind": "media_asset" } } ] }'{ "project_id": "405d8375-3514-403b-8c43-83ae74cfe0e9", "revision": 0, "platform": "tiktok_photo", "slide_count": 1, "slides": [ { "index": 0, "role": "hook", "timeline_item_ids": [ "string" ], "overlay_ids": [ "string" ], "layout_applied": "chip_stack_ui", "chip_band_px": { "top": 0, "bottom": 0 } } ], "frame": { "width": -9007199254740991, "height": -9007199254740991, "aspect_ratio": "string" }, "job_id": "string", "ai_image_run_id": "string", "warnings": [ { "code": "string", "message": "string", "field": "string", "repair": "string" } ], "next_actions": [ { "method": "GET", "path": "string", "reason": "string" } ]}